Bug 183648 - Kernel driver em28xx does not load
Kernel driver em28xx does not load
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-02 09:49 EST by John Pearson
Modified: 2015-01-04 17:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Pearson 2006-03-02 09:49:05 EST
Description of problem: 
Tue Feb 28 12:34:57 EST 2006 
For the first time since installing FC5T3, I loaded TvTime, which reported 
no /dev/video and no signal.  lsmod shows the the em28xx kernel module is 
not loaded.  I did: 
[root@Gretchen jpearson]# /sbin/modprobe em28xx 
FATAL: Error inserting em28xx 
Unknown symbol in module, or unknown parameter (see dmesg) 
with dmesg showing: 
[root@Gretchen jpearson]# dmesg 
ppdev3: claim the port first 
loop: loaded (max 8 devices) 
em28xx: Unknown parameter `index' 
Version-Release number of selected component (if applicable): 
How reproducible: 
Very consistent - every time. 
Steps to Reproduce: 
1. Log in as root. 
2. # /sbin/modprobe em28xx 
Actual results: 
Error message and the kernel module is not loaded. 
Expected results: 
Video modules loaded at start up, or on request. 
Additional info: 
[root@Gretchen jpearson]# uname -a 
Linux Gretchen.crooks1722.hab 2.6.15-1.1977_FC5 #1 Thu Feb 23 14:53:53 EST 
2006 i686 athlon i386 GNU/Linux 
[root@Gretchen jpearson]# /sbin/lspci 
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 741/741GX/M741 Host 
(rev 03) 
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS AGP Port (virtual 
PCI-to-PCI bridge) 
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media 
IO] (rev 25) 
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller 
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] 
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev 
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] Sound 
Controller (rev a0) 
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller 
(rev 0f) 
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller 
(rev 0f) 
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller 
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI 
Fast Ethernet (rev 90) 
01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200] 
(rev a1) 
[root@Gretchen jpearson]# /sbin/lsusb 
Unknown line at line 5924 
Unknown line at line 5925 
Unknown line at line 5926 
Unknown line at line 5927 
Unknown line at line 5928 
Unknown line at line 5929 
Unknown line at line 5930 
Unknown line at line 5931 
Unknown line at line 5932 
Unknown line at line 5933 
Unknown line at line 5934 
nknown line at line 5935 
Bus 001 Device 003: ID 050d:0375 Belkin Components 
Bus 001 Device 001: ID 0000:0000 
Bus 003 Device 004: ID 2040:4200 Hauppauge 
Bus 003 Device 001: ID 0000:0000 
Bus 002 Device 003: ID 04a9:2208 Canon, Inc. CanoScan D660U 
Bus 002 Device 001: ID 0000:0000 
The device in question is Haupauge WinTV USB2.  The device and setup are 
verified running using either FC4 or Ubuntu.
Comment 1 Dave Jones 2006-03-04 16:05:15 EST
your /etc/modprobe.conf probably lists an entry for this module with an 'index'
parameter, which as it says, doesn't exist.  Removing this should fix it.
Comment 2 John Pearson 2006-03-05 10:03:29 EST
That is absolutely accurate.  I am sorry: I did not even think to check the  
configuration file.  Changing the line that read:   
options em28xx index=1  
was enough to load the driver and start the application. Is there some way to 
avoid this in the future?  And do I need to change the status of this report? 
Comment 3 Dave Jones 2006-03-05 13:38:28 EST
I'm confused, how does that fix it ?
if you run modinfo em28xx you'll see that 'index' isn't a valid parameter for
this module.

the whole line shouldn't be there at all afaics.
Comment 4 John Pearson 2006-03-05 14:51:04 EST
The initial symptom was that tvtime showed no available /dev/vide0.  lsmod 
indicated that the driver em28xx was not loaded.  Running /sbin/modprobe 
em28xx produced the error message above.  Editing the /etc/modprobe.conf 
file to comment out the line, options em28xx index=1, allowed /sbin/modprobe 
em28xx to succeed.  With the module loaded, a video signal became available 
to tvtime.  At that time I added back the line options em28xx back into 
When I rebooted the system this morning after the development update, the 
driver was loaded during the bootup process. And that is what I meant when I 
said the changing the configuration file seems to fix the problem. 
It appears, to me, that there is no problem with driver, itself.  There may 
well be a problem with whatever process [kudzu ?] is adding the lines into 
the /etc/modprobe.conf. 
My speculation is that adding the WinTV USB2 device to the system is adding 
another sound source, or sound card equivalent to the system.  Whatever is 
moderating the sorting out of the sound devices is probably the author of 
the bad line in the /etc/modprobe.conf file. 
While I am not knowledgeable enough to explore and identify what is not 
working right, I am more than willing to work, test, check or whatever to 
see what is happening here; and to participate in finding a solution.  the 
machine is available with a partition that is tracking Fedora Core 
development.  I have some time and have no problem checking and testing.  I 
simply do not enough to go seeking a solution on my own. 
What would be the appropriate next step? 
Comment 5 Dave Jones 2006-03-05 23:25:47 EST
Bill, is kudzu responsible for adding that 'index' options line ?
Comment 6 Bill Nottingham 2006-03-06 12:34:37 EST
If it detects as a sound card, yes; it assumes those are run through alsa, and
adds 'index' so you get consistent ordering in case udev decides to load them in
random order.
Comment 7 Thomas Steudten 2006-04-06 10:19:35 EDT
same issue to me. remove the index entry works fine. 
Comment 8 Dave Jones 2006-10-16 14:23:53 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Jon Stanley 2008-01-19 23:39:47 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.